Package weka.core

# Class PropertyPath.PathElement

java.lang.Object
weka.core.PropertyPath.PathElement

All Implemented Interfaces:
  `Cloneable`, `RevisionHandler`

Enclosing class:
  PropertyPath

public static class PropertyPath.PathElement extends Object implements Cloneable, RevisionHandler
Represents a single element of a property path

Version:
  $Revision: 8034 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathElement(String property)`
  initializes the path element with the given property

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  returns a clone of the current object
  `int`
  `getIndex()`
  returns the index of the property, -1 if the property is not an index-based one
  `String`
  `getName()`
  returns the name of the property
  `String`
  `getRevision()`
  Returns the revision string.
  `boolean`
  `hasIndex()`
  returns whether the property is an index-based one
  `String`
  `toString()`
  returns the element once again as string

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PathElement

    public PathElement(String property)
    initializes the path element with the given property
    Parameters:
      `property` - the property to initialize with

- ## Method Details

  - ### clone

    public Object clone()
    returns a clone of the current object
    Returns:
      the clone of the current state

  - ### getName

    public String getName()
    returns the name of the property
    Returns:
      the name of the property

  - ### hasIndex

    public boolean hasIndex()
    returns whether the property is an index-based one
    Returns:
      true if the property has an index

  - ### getIndex

    public int getIndex()
    returns the index of the property, -1 if the property is not an index-based one
    Returns:
      the index of the property

  - ### toString

    public String toString()
    returns the element once again as string
    Overrides:
      `toString` in class `Object`
    Returns:
      the property as string

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision